package com.tanpu.community.api.beans.qo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@ApiModel(value = "主题关联产品")
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class TopicAttachement {

    @ApiModelProperty(value = "RelTypeEnum类型，108：文本，88:产品 3：直播 6：短视频 303：新版课程-音频，304: 新版课程-视频，109：单图（长文） 110：多图（讨论）")
    private String type;

    @ApiModelProperty(value = "对象详情")
    private AttachmentDetailVo detail;

}
